/* <!--------- Tab Start ----------> */
.dPart-history-box .tabs {
  display: flex;
  flex-direction: column;
  margin: 50px 0;
}

.dPart-history-box .tabs .tab-labels {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  background: #fff;
  border-radius: 50px;
  border: 1px solid #dfdfdf;
  margin-bottom: 60px;
}

.dPart-history-box .tabs .tab-labels > label {
  padding: 22px;
  font-size: var(--font-xl);
  cursor: pointer;
  text-align: center;
  color: #767676;
  font-weight: 500;
}

.dPart-history-box .tabs .tab-labels label.active {
  color: #fff;
  border: 1px solid var(--primary-color);
  border-radius: 50px;
  background: var(--primary-color);
}

.dPart-history-box .tab-content {
  display: none;
}
/* <!--------- Tab End ----------> */

/* <!--------- Tab-1 Start ----------> */
.dPart-alert-body-box {
  padding: 0px 20px 40px;
}

.dPart-history-body-box {
  display: grid;
  gap: 20px;
}

.dPart-history-body-box .dPart-donationInfo-box {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
}

.dPart-donationInfo-box .donationInfo-items-box {
  background-color: #fff;
  padding: 70px 0;
  border-radius: 50px;
  display: flex;
  align-items: center;
  gap: 20px;
}

.donationInfo-items-box .donationInfo-img-box {
  background-color: var(--secondary-color);
  border-radius: 50%;
  width: 90px;
  height: 90px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.donationInfo-items-box .donationInfo-img-box img {
  filter: invert(1);
}

.donationInfo-items-box .donationInfo-text {
  display: grid;
  gap: 5px;
  font-size: var(--font-xl);
  font-weight: 500;
  color: var(--default-color);
}

.donationInfo-items-box .donationInfo-text span {
  font-size: var(--font-l);
  font-weight: 500;
  color: #767676;
}

/* <!----- Table Start ----> */
.dPart-history-table-box {
  width: 100%;
  margin: auto;
  background-color: #fff;
  padding: 50px 0;
  border-radius: 50px;
  

  p {
    font-size: var(--font-l);
    font-weight: 500;
    margin-bottom: 20px;
    color: #111111;
  }

  .donation-table-box {
    max-width: 100%;
    overflow-x: auto;
  }

  .donation-table {
    width: 100%;
    max-width: 100%;
    border-collapse: collapse;
    margin-bottom: 10px;
    text-wrap: nowrap;
    white-space: nowrap;
    overflow: auto;

    thead {
      background-color: var(--secondary-color);

      th {
        padding: 15px 10px;
        font-weight: 500;
        font-size: var(--font-m);
        color: #111111;
        text-align: center;
        border: 1px solid #c9ced4;
      }
      th:first-child {
        border-left: none;
      }
      th:last-child {
        border-right: none;
      }
    }

    tbody {
      td {
        padding: 15px 10px;
        font-weight: 500;
        font-size: var(--font-m);
        color: #666d7d;
        text-align: center;
        border: 1px solid #c9ced4;
      }
      td:first-child {
        border-left: none;
      }
      td:last-child {
        border-right: none;
      }
    }
  }

  .donation-detail-table {
    width: 100%;
    max-width: 100%;
    border-collapse: collapse;
    margin-bottom: 10px;
    text-wrap: nowrap;
    white-space: nowrap;
    overflow: auto;
    tbody {
      tr {
        th {
          background-color: var(--secondary-color);
          border: 1px solid #c9ced4;
        }
      td {
        padding: 15px 10px;
        font-weight: 500;
        font-size: var(--font-m);
        color: #666d7d;
        text-align: center;
        border: 1px solid #c9ced4;
      }
      }
    }
  }


  .table-more-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 30px;
  }
  .table-more-btn button {
    padding: 18px 5px;
    font-size: var(--font-s);
    font-weight: 500;
    color: #404146;
    background: none;
    border: 1px solid #7e8390;
    border-radius: 15px;
    cursor: pointer;
    width: 198px;

    &:hover {
      color: #111111;
      border: 1px solid #111111;
    }
  }
}
/* <!----- Table End -----> */

/* <!--------- Tab-1 End ----------> */

@media (max-width: 1024px) {
}

@media (max-width: 768px) {
  .dPart-donationInfo-box .donationInfo-items-box {
    padding: 30px;
  }

  .donationInfo-items-box .donationInfo-img-box {
    width: 70px;
    height: 70px;
  }

  .dPart-history-body-box .dPart-donationInfo-box {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 20px;
  }

  .dPart-history-table-box {
    padding: 30px;
  }
  .dPart-history-table-box .donation-table-box {
    max-width: 300px;
    overflow-x: auto;
  }
}
